'use strict';

module.exports = {
  ignorePatterns: ['dist/**/*.js', 'gulpfile.babel.js', 'legacy/**/*'],
  overrides: [
    {
      files: '*.js',
      excludedFiles: ['e2e/**/*.js'],
      extends: ['plugin:@superdispatch/node'],
      rules: {
        'no-process-exit': 'off',
        'eslint-comments/no-use': [
          'error',
          { allow: ['eslint-disable-next-line'] },
        ],
      },
    },
    {
      files: '**/e2e/**/*.js',
      parserOptions: {
        sourceType: 'module',
        ecmaVersion: 2020,
      },
      extends: ['plugin:@superdispatch/jest'],
      rules: {
        'no-restricted-syntax': 'off',
        'no-restricted-imports': 'off',
        'import/no-extraneous-dependencies': 'off',
        '@typescript-eslint/no-explicit-any': 'off',
        '@typescript-eslint/no-unsafe-assignment': 'off',
        '@typescript-eslint/no-non-null-assertion': 'off',
        'testing-library/prefer-screen-queries': 'off',
        '@typescript-eslint/ban-ts-ignore': 'off',
      },
    },
  ],
};
