# Email templates

## Usage

Each email template is grouped by projects, and they are located under `src/pages` folder.

Each project is deployed separately and has their own SendGrid accounts.

Please follow Foundation email template best practises. Read about Foundation email template [here](https://get.foundation/emails/docs/).

### Template variables

When target environment is `staging` or `production`, [Handlebars](https://handlebarsjs.com/guide/#what-is-handlebars) variables are not replaced.

If you want a variable to be always replaced, variable should have `$` prefix.

```html
<!-- `title` is not replaced for staging and production -->
<h1>{{title}}</h1>

<!-- `$title` is always replaced -->
<h1>{{$title}}</h1>
```

### Create new template

In order to create a new template for staging and production use this command

```bash
yarn create-template
```

## Build

Specify the target environment in command with `--env` argument. Default is `local`.

When environment is not local, templates are minified and CSS styles are inlined.

```bash
# Build for staging
yarn build --env staging

# Send email with production build
yarn email --env production
```
