#!/usr/bin/env python
import httplib
import json
import os
import sys


def get_generated_html_file_contents():
    with open('./dist/index.html', 'r') as generated_html_file:
        return generated_html_file.read()


def send_generated_html_to_sendgrid():
    template_html = get_generated_html_file_contents()
    payload = {
        'html_content' : template_html
    }
    headers = {
        'Content-Type': 'application/json',
        'Authorization': 'Bearer ' + os.environ.get('SENDGRID_API_KEY'),
    }

    conn = httplib.HTTPSConnection('api.sendgrid.com', 443)
    conn.request('PATCH', '/v3/templates/425465bd-48f0-4552-a729-6e7476293ad1/versions/f1c4fa9e-a8dd-49ca-9381-644689828c2c', json.dumps(payload), headers)
    response = conn.getresponse()
    response_body = response.read()
    print(response_body)
    
    if response.status != 200:
        sys.exit(1)


if __name__ == '__main__':
    send_generated_html_to_sendgrid()
